Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.web.filter
Class GZIPResponseStream

    java.lang.Object
      ServletOutputStream
          net.sourceforge.pebble.web.filter.GZIPResponseStream

    public class GZIPResponseStream

extends ServletOutputStream

Field Summary
`protected java.io.ByteArrayOutputStream` | `baos`
`protected boolean` | `closed`
`protected java.util.zip.GZIPOutputStream` | `gzipstream`
`protected ServletOutputStream` | `output`
`protected HttpServletResponse` | `response`

Constructor Summary
`GZIPResponseStream(HttpServletResponse response)`

Method Summary
`void` | `close()`
`boolean` | `closed()`
`void` | `flush()`
`void` | `reset()`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baos

    protected java.io.ByteArrayOutputStream baos

### gzipstream

    protected java.util.zip.GZIPOutputStream gzipstream

### closed

    protected boolean closed

### response

    protected HttpServletResponse response

### output

    protected ServletOutputStream output

Constructor Detail

### GZIPResponseStream

    public GZIPResponseStream(HttpServletResponse response)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### closed

    public boolean closed()

### reset

    public void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.